package com.gh.download.simple

import com.lg.download.DownloadError
import com.lg.download.DownloadStatus

interface DownloadListener {
    fun onError(error: DownloadError)

    fun onProgress(progress: Float)

    fun onSizeReceived(fileSize: Long)

    fun onStatusChanged(status: DownloadStatus)

    fun onSpeedChanged(speed: Float)
}